Package org.eclipse.emf.cdo.view

## Interface CDOObjectHandler

- All Known Implementing Classes:
    `CDOStaleReferencePolicy.DynamicProxy.Enhanced`

      public interface CDOObjectHandler

  Call-back handler used by `views` to tell implementors of this interface about `state` changes of `objects`.
  Since:
    3.0
  Author:
    Eike Stepper
  See Also:
    `CDOView.addObjectHandler(CDOObjectHandler)`, `CDOView.removeObjectHandler(CDOObjectHandler)`, `CDOObject.cdoState()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `objectStateChanged​(CDOView view, CDOObject object, CDOState oldState, CDOState newState)` |

- - ### Method Detail

    - #### objectStateChanged

          void objectStateChanged​(CDOView view,
                                  CDOObject object,
                                  CDOState oldState,
                                  CDOState newState)